---
title: Vertical Align Utilities
description: Change the vertical alignment of inline, inline block, inline table, and table cell elements. 
---
### Text Alignment
You can use vertical align utilities to change the alignment of elements. Please note that vertical-align only affects `inline`, `inline-block`, `inline-table`, and `table-cell` elements.

<i-code title="Vertical Alignment Utility Example">
<i-tab type="preview">
    <span class="_align-baseline">baseline</span>
    <span class="_align-top">top</span>
    <span class="_align-middle">middle</span>
    <span class="_align-bottom">bottom</span>
    <span class="_align-text-top">text-top</span>
    <span class="_align-text-bottom">text-bottom</span>
</i-tab>
<i-tab type="html">

~~~html
<span class="_align-baseline">baseline</span>
~~~
~~~html
<span class="_align-top">top</span>
~~~
~~~html
<span class="_align-middle">middle</span>
~~~
~~~html
<span class="_align-bottom">bottom</span>
~~~
~~~html
<span class="_align-text-top">text-top</span>
~~~
~~~html
<span class="_align-text-bottom">text-bottom</span>
~~~

</i-tab>
</i-code>

### Table Cell Alignment
You can use vertical align utilities to change the alignment of table cells.

<i-code title="Vertical Alignment Utility Example">
<i-tab type="preview">
    <table class="table -bordered" style="height: 100px;">
        <tbody>
            <tr>
                <td class="_align-baseline">baseline</td>
                <td class="_align-top">top</td>
                <td class="_align-middle">middle</td>
                <td class="_align-bottom">bottom</td>
                <td class="_align-text-top">text-top</td>
                <td class="_align-text-bottom">text-bottom</td>
            </tr>
        </tbody>
    </table>
</i-tab>
<i-tab type="html">

~~~html
<table class="table" style="height: 100px;">
    <tbody>
        <tr>
            <td class="_align-baseline">baseline</td>
            <td class="_align-top">top</td>
            <td class="_align-middle">middle</td>
            <td class="_align-bottom">bottom</td>
            <td class="_align-text-top">text-top</td>
            <td class="_align-text-bottom">text-bottom</td>
        </tr>
    </tbody>
</table>
~~~

</i-tab>
</i-code>
